libetonyek::KEY1XMLContextBase< Base > Class Template Reference

`#include <KEY1XMLContextBase.h>`

Inheritance diagram for libetonyek::KEY1XMLContextBase< Base >:

## Public Member Functions
| KEY1XMLContextBase (KEY1ParserState &state)
template<typename T>
| KEY1XMLContextBase (KEY1ParserState &state, const T &a)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, KEY1ParserState, KEYCollector >
| IWORKXMLContextBase (KEY1ParserState &state)
| IWORKXMLContextBase (KEY1ParserState &state, const T &a)
KEY1ParserState & | getState ()

## Private Types
typedef IWORKXMLContextBase< Base, KEY1ParserState, KEYCollector > | Parent_t

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, KEY1ParserState, KEYCollector >
KEYCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, KEY1ParserState, KEYCollector >
KEY1ParserState & | m_state

## Member Typedef Documentation

## ◆ Parent_t

template<class Base>

typedef IWORKXMLContextBase<Base, KEY1ParserState, KEYCollector> libetonyek::KEY1XMLContextBase< Base >::Parent_t
| private

## Constructor & Destructor Documentation

## ◆ KEY1XMLContextBase() [1/2]

template<class Base>

libetonyek::KEY1XMLContextBase< Base >::KEY1XMLContextBase | ( | KEY1ParserState & | state | ) |
| inline explicit

## ◆ KEY1XMLContextBase() [2/2]

template<class Base>
template<typename T>

libetonyek::KEY1XMLContextBase< Base >::KEY1XMLContextBase | ( | KEY1ParserState & | state,
|  | const T & | a )
| inline

The documentation for this class was generated from the following file:

- KEY1XMLContextBase.h